Bug 29820 - Print summary just show 20 items
Summary: Print summary just show 20 items
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 28450
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-07 15:35 UTC by Mohd Hafiz Yusoff
Modified: 2022-02-16 17:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03


Attachments
List print summary (129.45 KB, image/png)
2022-01-07 15:35 UTC, Mohd Hafiz Yusoff
Details
Bug 29820: Set paging option using boolean instead of string (2.13 KB, patch)
2022-01-07 19:47 UTC, Owen Leonard
Details | Diff | Splinter Review
List print summary after patch (201.82 KB, image/png)
2022-01-08 07:43 UTC, Mohd Hafiz Yusoff
Details
Bug 29820: Set paging option using boolean instead of string (2.19 KB, patch)
2022-01-08 21:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mohd Hafiz Yusoff 2022-01-07 15:35:42 UTC
Created attachment 129190 [details]
List print summary

After upgrade from 21.05 to 21.11, print summary for check out items just show 20 rows only. For example, patron borrow 500 item, but print summary show 20 items list. How to show all check out items in patron print summary. Thank you
Comment 1 Owen Leonard 2022-01-07 19:47:49 UTC
Created attachment 129202 [details] [review]
Bug 29820: Set paging option using boolean instead of string

Bug 28450, "Make Account summary print tables configurable," added
DataTables to the print summary view. The updated page includes the
wrong option:

"paging": "false",

It should be:

"paging": false,

Because DataTables expects that option to be boolean (true or false).

To test, apply the patch and check out to a patron who has more than 20
checkouts and more than 20 holds.

 - From the toolbar, click Print -> Print summary.
 - On the acount summary page, confirm that the "Items checked out" and
   "Pending holds" tables show ALL entries, not just the first 20.
Comment 2 Mohd Hafiz Yusoff 2022-01-08 07:43:55 UTC
Created attachment 129209 [details]
List print summary after patch

Patch tested by me
Comment 3 Mohd Hafiz Yusoff 2022-01-08 07:46:28 UTC
Created attachment 129202 [details] [review] [review]
Bug 29820: Set paging option using boolean instead of string

Bug 28450, "Make Account summary print tables configurable," added
DataTables to the print summary view. The updated page includes the
wrong option:

"paging": "false",

It should be:

"paging": false,

Because DataTables expects that option to be boolean (true or false).

To test, apply the patch and check out to a patron who has more than 20
checkouts and more than 20 holds.

 - From the toolbar, click Print -> Print summary.
 - On the acount summary page, confirm that the "Items checked out" and
   "Pending holds" tables show ALL entries, not just the first 20.

Signed-off-by: Mohd Hafiz Yusoff <mhby87@gmail.com>
Comment 4 Katrin Fischer 2022-01-08 21:39:56 UTC
Created attachment 129220 [details] [review]
Bug 29820: Set paging option using boolean instead of string

Bug 28450, "Make Account summary print tables configurable," added
DataTables to the print summary view. The updated page includes the
wrong option:

"paging": "false",

It should be:

"paging": false,

Because DataTables expects that option to be boolean (true or false).

To test, apply the patch and check out to a patron who has more than 20
checkouts and more than 20 holds.

 - From the toolbar, click Print -> Print summary.
 - On the acount summary page, confirm that the "Items checked out" and
   "Pending holds" tables show ALL entries, not just the first 20.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2022-01-08 21:40:37 UTC
Thx for the quick fix, Owen.
Comment 6 Fridolin Somers 2022-01-19 07:21:19 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 7 Kyle M Hall 2022-02-07 11:33:10 UTC
Pushed to 21.11.x for 21.11.03
Comment 8 Andrew Fuerste-Henry 2022-02-16 17:01:59 UTC
Missing dependency, not backported to 21.05